:root {
	touch-action: pan-x pan-y;
	height: 100%
}

#hamburger-menu {
	position: fixed;
	top: 10px;
	left: 10px;
	z-index: 1000;

}

#menu-toggle {
	font-size: 30px;
	background: none;
	border: none;
	cursor: pointer;
	color: #333333;
}

#loading-indicator {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	color: white;
	font-size: 20px;
	display: none; /* Initially hidden */
	z-index: 10002;
}

#menu-content {
	position: fixed;
	left: 0;
	top: 0;
	border: 1px solid #ccc;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
	max-height: 500px;
	background-color: #ffffff;
	height: 100%;
	display: flex;
	border-bottom-right-radius: 20px;
}

#download-button {
	font-size: 16px;
	margin-left: 20px;
	padding: 5px 15px;
	cursor: pointer;
	display: flex;
	align-items: center;
	z-index: 10003;
	color: #333333;
	background-color: #ffffff;
}

#file-preview-container {
	display: none; /* Initially hidden */
	position: fixed;
	padding: 0;
	margin: 0;
	z-index: 10000; /* Ensure it is above other elements */
	background-color: rgba(0, 0, 0, 0.8);
	backdrop-filter: blur(10px);
	height: 100vh;
	width: 100vw;
}

#file-preview-frame {
	width: 100%;
	height: 100%;
	border: none;
	padding: 0;
	margin: 0;
}

#close-folder-modal {
	position: absolute;
	right: 20px;
}

.close-button {
	background: white;
	border-radius: 10px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
	padding: 0;
	position: absolute;
	top: 20px;
	right: 40px;
	line-height: 40px;
	z-index: 10001;
	font-size: 40px;
	border: none;
	cursor: pointer;
	color: red;
	width: 60px;
	height: 60px;
}

#directory-list {
	padding: 0;
	margin: 0;
	list-style-type: none;
	overflow-y: scroll;
}

.flutter-list-item {
	display: flex;
	margin: 5px 0;
	padding: 10px;
	background-color: #ffffff;
	border: 1px solid #e0e0e0;
	border-radius: 5px;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
	cursor: pointer;
	transition: background-color 0.3s;
}

#close-hamburger {
	display: Flex;
	justify-content: center;
	align-items: center;
	background-color: #333333;
	color: white;
	font-size: 50px;
	width: 60px;
	border-bottom-right-radius: 20px;
}

dialog {
	width: 80%;
	height: 80%;
	border: none;
	border-radius: 8px;
	box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
	padding: 20px;
}

#folderContent {
	overflow-y: auto;
	max-height: 90%;
}

.flutter-list-folder span {
	text-decoration: underline;
}

.flutter-list-folder {
	display: flex;
	flex-direction: column;
	align-items: start;
	padding: 10px;
	background-color: #f5f5f5;
	cursor: pointer;
	transition: background-color 0.3s;
}

.flutter-list-item:hover {
	background-color: #f5f5f5;
}

.flutter-list-item ul {
	padding-left: 20px;
}

body, html {
	margin: 0;
	padding: 0;
	font-family: Arial, sans-serif !important;
	overflow: hidden;
}

#pdf-viewer-frame {
	z-index: 10001;
}

.centered-canvas {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.slide div.block {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	line-height: 1;
}

.slide div.content {
	display: flex;
	flex-direction: column;
}
.slide div.diagram-content{
	display: flex;
	flex-direction: column;
}

.slide div.content-rtl {
	display: flex;
	flex-direction: column;
	direction: rtl; 
}
.slide .pregraph-rtl{
	direction: rtl; 
}
.slide .pregraph-ltr{
	direction: ltr; 
}
.slide .pregraph-inherit{
	direction: inherit; 
}
.slide .slide-prgrph{
	width: 100%;
	/* overflow-wrap:break-word;
  	word-wrap: break-word;  */
  
	/* word-break: break-word; */
	/* unicode-bidi: bidi-override; */
	/* hyphens: auto;
	overflow-wrap: break-word; */
	
}

.slide .line-break-br::before{
  content: "\A";
  white-space: pre;
}
.slide div.v-up {
	justify-content: flex-start;
}
.slide div.v-mid {
	justify-content: center;
}
.slide div.v-down {
	justify-content: flex-end;
}

.slide div.h-left {
	justify-content: flex-start;
	align-items: flex-start;
	text-align: left;
}
.slide div.h-left-rtl {
	justify-content: flex-end;
	align-items: flex-end;
	text-align: left;
}
.slide div.h-mid {
	justify-content: center;
	align-items: center;
	text-align: center;
}
.slide div.h-right {
	justify-content: flex-end;
	align-items: flex-end;
	text-align: right;
}
.slide div.h-right-rtl {
	justify-content: flex-start;
	align-items: flex-start;
	text-align: right;
}

.slide div.h-just,
.slide div.h-dist {
	text-align: justify;
}


.slide div.up-left {
	justify-content: flex-start;
	align-items: flex-start;
	text-align: left;
}
.slide div.up-center {
	justify-content: flex-start;
	align-items: center;
}
.slide div.up-right {
	justify-content: flex-start;
	align-items: flex-end;
}
.slide div.center-left {
	justify-content: center;
	align-items: flex-start;
	text-align: left;
}
.slide div.center-center {
	justify-content: center;
	align-items: center;
}
.slide div.center-right {
	justify-content: center;
	align-items: flex-end;
}
.slide div.down-left {
	justify-content: flex-end;
	align-items: flex-start;
	text-align: left;
}
.slide div.down-center {
	justify-content: flex-end;
	align-items: center;
}
.slide div.down-right {
	justify-content: flex-end;
	align-items: flex-end;
}


.slide li.slide {
	margin: 10px 0px;
	font-size: 18px;
}

.slide table {
	position: absolute;
}

.slide svg.drawing {
	position: absolute;
	overflow: visible;
}

.all_slides_warpper {

}